This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 864018 - [abrt] yum-3.4.3-29.fc17: sqlutils.py:168:executeSQLQmark:OperationalError: no such table: packages
[abrt] yum-3.4.3-29.fc17: sqlutils.py:168:executeSQLQmark:OperationalError: n...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:530d8a1e9b31232864da982fa60...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 07:30 EDT by millemiglia
Modified: 2014-01-21 18:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-08 08:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (762 bytes, text/plain)
2012-10-08 07:30 EDT, millemiglia
no flags Details

  None (edit)
Description millemiglia 2012-10-08 07:30:36 EDT
Version-Release number of selected component:
yum-3.4.3-29.fc17

Additional info:
libreport version: 2.0.15
abrt_version:   2.0.14
cmdline:        /usr/bin/python /bin/yum repolist all
kernel:         3.5.5-2.fc17.x86_64

backtrace:
:sqlutils.py:168:executeSQLQmark:OperationalError: no such table: packages
:
:Traceback (most recent call last):
:  File "/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 319, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 144, in main
:    result, resultmsgs = base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/yumcommands.py", line 1950, in doCommand
:    num        = len(repo.sack.simplePkgList())
:  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 1694, in simplePkgList
:    ignore_case):
:  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 1595, in _yieldSQLDataList
:    executeSQL(cur, qsql, pat_data)
:  File "/usr/lib/python2.7/site-packages/yum/sqlutils.py", line 168, in executeSQLQmark
:    return cursor.execute(query, params)
:OperationalError: no such table: packages
:
:Local variables in innermost frame:
:cursor: <sqlite3.Cursor object at 0x139bce0>
:query: 'select pkgId, pkgKey, name,epoch,version,release,arch\n                      from packages'
:params: []
Comment 1 millemiglia 2012-10-08 07:30:40 EDT
Created attachment 623409 [details]
File: core_backtrace
Comment 2 Zdeněk Pavlas 2012-10-08 08:23:15 EDT
Zero-sized primary_db.sqlite file, probably.  Should have turned into a RepoError, but it didn't.  Fixed upstream.
Comment 3 Fedora Update System 2012-11-12 09:49:29 EST
yum-3.4.3-30.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yum-3.4.3-30.fc17
Comment 4 Fedora Update System 2012-11-18 21:23:39 EST
yum-3.4.3-30.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.